org.apache.mina.http.api

## Enum HttpVersion

- java.lang.Object
- - java.lang.Enum<HttpVersion>
  - - org.apache.mina.http.api.HttpVersion

- All Implemented Interfaces:
    Serializable, Comparable<HttpVersion>

      public enum HttpVersion
      extends Enum<HttpVersion>

  Type safe enumeration representing HTTP protocol version
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP_1_0` HTTP 1/0
    `HTTP_1_1` HTTP 1/1

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpVersion` | `fromString(String string)` Returns the `HttpVersion` instance from the specified string.
    `String` | `toString()`
    `static HttpVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_1_1

          public static final HttpVersion HTTP_1_1

      HTTP 1/1

    - #### HTTP_1_0

          public static final HttpVersion HTTP_1_0

      HTTP 1/0

  - ### Method Detail

    - #### values

          public static HttpVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpVersion c : HttpVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static HttpVersion fromString(String string)

      Returns the `HttpVersion` instance from the specified string.
      Returns:
        The version, or `null` if no version is found

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HttpVersion>`
      Returns:
        A String representation of this version

Copyright © 2009–2013 Apache MINA Project. All rights reserved.